﻿using System.Windows;
using System.Windows.Controls;
using Infragistics.Controls.Grids;
using System.Windows.Data;

namespace XamComboEditorError
{
    public partial class SilverlightControl1 : UserControl
    {
        private ViewModel _vm;

        public SilverlightControl1()
        {           
            InitializeComponent();

            _vm = new ViewModel();
            this.DataContext = _vm;

            Binding b = new Binding()
            {
                Source = _vm,
                Path = new PropertyPath("BoolT"),
                Converter = new NewRowConverter()
            };
            BindingOperations.SetBinding(xgdSearchResults.AddNewRowSettings, AddNewRowSettings.AllowAddNewRowProperty, b);
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            _vm.BoolT = !_vm.BoolT;
        }
    }

}
