﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Windows.Markup;

namespace XamComboEditorError
{
    public class ViewModel : INotifyPropertyChanged
    {

        public ViewModel()
        {
            this.DataSource = new MyData();

           // this.UserRole = UserRoles.Administrator;
        }       


        #region Private members

        private DateTime _date;
        private string _string;
        private int _int;
        private bool _bool = false;

        #endregion // Private members

        #region Public Properties

        private MyData _dataSource;
        public MyData DataSource
        {
            get
            {
                return this._dataSource;
            }
            set
            {
                if (value != this._dataSource)
                {
                    this._dataSource = value;
                    RaisePropertyChanged("DataSource");
                }
            }
        }


        public bool BoolT
        {
            get
            {
                return this._bool;
            }
            set
            {
                if (value != this._bool)
                {
                    this._bool = value;
                    RaisePropertyChanged("BoolT");
                }
            }
        }



        #endregion // Public Properties

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
            {
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        #endregion // INotifyPropertyChanged Members
    }
}
